Davix::DavIOVecInput Struct Reference

input parameters for vector operations in Davix More...

`#include <davix_file_types.hpp>`

## Data Fields

void * | diov_buffer
dav_off_t | diov_offset
dav_size_t | diov_size

## Detailed Description

input parameters for vector operations in Davix

## Field Documentation

## diov_buffer

void* Davix::DavIOVecInput::diov_buffer

buffer, in case of read : destination buffer, in case of write : source buffer

## diov_offset

dav_off_t Davix::DavIOVecInput::diov_offset

initial offset taken from the source

## diov_size

dav_size_t Davix::DavIOVecInput::diov_size

size of the data requested

The documentation for this struct was generated from the following file:

- /build/davix-SzuXOx/davix-0.8.10/include/davix/davix_file_types.hpp